package com.qianhe.service;

import java.util.List;

import com.qianhe.common.core.domain.AjaxResult;
import com.qianhe.domain.SjZdbfKhpjbz;
import com.qianhe.domain.SjZdbfKhpjbzCb;

/**
 * 指导帮扶-考核评价标准Service接口
 * 
 * @author qianhe
 * @date 2024-07-22
 */
public interface ISjZdbfKhpjbzService 
{
    /**
     * 查询指导帮扶-考核评价标准
     * 
     * @param id 指导帮扶-考核评价标准主键
     * @return 指导帮扶-考核评价标准
     */
    public SjZdbfKhpjbz selectSjZdbfKhpjbzById(Long id);

    /**
     * 查询指导帮扶-考核评价标准列表
     * 
     * @param sjZdbfKhpjbz 指导帮扶-考核评价标准
     * @return 指导帮扶-考核评价标准集合
     */
    public List<SjZdbfKhpjbz> selectSjZdbfKhpjbzList(SjZdbfKhpjbz sjZdbfKhpjbz);

    /**
     * 新增指导帮扶-考核评价标准
     * 
     * @param sjZdbfKhpjbz 指导帮扶-考核评价标准
     * @return 结果
     */
    public int insertSjZdbfKhpjbz(SjZdbfKhpjbz sjZdbfKhpjbz);

    /**
     * 修改指导帮扶-考核评价标准
     * 
     * @param sjZdbfKhpjbz 指导帮扶-考核评价标准
     * @return 结果
     */
    public int updateSjZdbfKhpjbz(SjZdbfKhpjbz sjZdbfKhpjbz);

    /**
     * 批量删除指导帮扶-考核评价标准
     * 
     * @param ids 需要删除的指导帮扶-考核评价标准主键集合
     * @return 结果
     */
    public int deleteSjZdbfKhpjbzByIds(Long[] ids);

    /**
     * 删除指导帮扶-考核评价标准信息
     * 
     * @param id 指导帮扶-考核评价标准主键
     * @return 结果
     */
    public int deleteSjZdbfKhpjbzById(Long id);

    List<SjZdbfKhpjbz> selectSjZdbfKhpjbzCxList(SjZdbfKhpjbz sjZdbfKhpjbz);


    List<String> getKhnrList(SjZdbfKhpjbzCb cb);

    List<String> getKhxdList(SjZdbfKhpjbzCb cb);


    List<SjZdbfKhpjbzCb> getPjbzList(SjZdbfKhpjbzCb cb);

}
